<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcBag Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcBag Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcBag" --><!-- doxytag: inherits="iBase" -->
<p>This is a bag of strings property class.  
 <a href="structiPcBag.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="bag_8h_source.html">propclass/bag.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcBag:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcBag.png" usemap="#iPcBag_map" alt=""/>
  <map id="iPcBag_map" name="iPcBag_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,52,24"/>
</map>
 </div></div>

<p><a href="structiPcBag-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBag.html#a8e369608787430a9b8b4e32f0c8721e9">AddString</a> (const char *str)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an string to this bag.  <a href="#a8e369608787430a9b8b4e32f0c8721e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBag.html#a3255621cd86681b5758d46af8e9bf5b4">Clear</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Empty the bag.  <a href="#a3255621cd86681b5758d46af8e9bf5b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsSet.html">csSet</a>&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &gt;<br class="typebreak"/>
::GlobalIterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBag.html#a6a8766b926bcc456e26e8cc65c6631c2">GetIterator</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an iterator iterating over all strings.  <a href="#a6a8766b926bcc456e26e8cc65c6631c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBag.html#a2049e94aac76ce2f2823cce6aeb27ca3">HasString</a> (const char *str)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if this bag contains the string.  <a href="#a2049e94aac76ce2f2823cce6aeb27ca3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBag.html#acfb08d9db07efe77cfc42d717e35e581">RemoveString</a> (const char *str)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a string from this bag.  <a href="#acfb08d9db07efe77cfc42d717e35e581"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBag.html#a1838bd8f6bd15aadcd4cb76c3df88764">SendMessage</a> (const char *msgid, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Treat the strings in this bag as names of entities and then send this message to all entities in the bag.  <a href="#a1838bd8f6bd15aadcd4cb76c3df88764"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a bag of strings property class. </p>
<p>This property class supports the following actions (add prefix 'cel.bag.action.' if you want to access this action through a message):</p>
<ul>
<li>AddString: parameters 'value' (string).</li>
<li>RemoveString: parameters 'value' (string).</li>
<li>Clear: no parameters.</li>
<li>HasString: parameters 'value' (string), returns bool.</li>
<li>SendMessage: parameters 'msgid' (string), ...</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>size (long, read only): the size of the bag. </li>
</ul>

<p>Definition at line <a class="el" href="bag_8h_source.html#l00045">45</a> of file <a class="el" href="bag_8h_source.html">bag.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a8e369608787430a9b8b4e32f0c8721e9"></a><!-- doxytag: member="iPcBag::AddString" ref="a8e369608787430a9b8b4e32f0c8721e9" args="(const char *str)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcBag.html#a8e369608787430a9b8b4e32f0c8721e9">iPcBag::AddString</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add an string to this bag. </p>

</div>
</div>
<a class="anchor" id="a3255621cd86681b5758d46af8e9bf5b4"></a><!-- doxytag: member="iPcBag::Clear" ref="a3255621cd86681b5758d46af8e9bf5b4" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcBag.html#a3255621cd86681b5758d46af8e9bf5b4">iPcBag::Clear</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Empty the bag. </p>

</div>
</div>
<a class="anchor" id="a6a8766b926bcc456e26e8cc65c6631c2"></a><!-- doxytag: member="iPcBag::GetIterator" ref="a6a8766b926bcc456e26e8cc65c6631c2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsSet.html">csSet</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&gt;::GlobalIterator <a class="el" href="structiPcBag.html#a6a8766b926bcc456e26e8cc65c6631c2">iPcBag::GetIterator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return an iterator iterating over all strings. </p>

</div>
</div>
<a class="anchor" id="a2049e94aac76ce2f2823cce6aeb27ca3"></a><!-- doxytag: member="iPcBag::HasString" ref="a2049e94aac76ce2f2823cce6aeb27ca3" args="(const char *str)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcBag.html#a2049e94aac76ce2f2823cce6aeb27ca3">iPcBag::HasString</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if this bag contains the string. </p>

</div>
</div>
<a class="anchor" id="acfb08d9db07efe77cfc42d717e35e581"></a><!-- doxytag: member="iPcBag::RemoveString" ref="acfb08d9db07efe77cfc42d717e35e581" args="(const char *str)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcBag.html#acfb08d9db07efe77cfc42d717e35e581">iPcBag::RemoveString</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a string from this bag. </p>

</div>
</div>
<a class="anchor" id="a1838bd8f6bd15aadcd4cb76c3df88764"></a><!-- doxytag: member="iPcBag::SendMessage" ref="a1838bd8f6bd15aadcd4cb76c3df88764" args="(const char *msgid, iCelParameterBlock *params=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcBag.html#a1838bd8f6bd15aadcd4cb76c3df88764">iPcBag::SendMessage</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msgid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Treat the strings in this bag as names of entities and then send this message to all entities in the bag. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if at least one of the entities handled the message (returned true). </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="bag_8h_source.html">bag.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
